Bug 198216 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: 237503 237504 (view as bug list)
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
Reported: 2006-07-10 10:33 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-27 17:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 10:33:56 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r

This might not be a problem as X uses loadable modules for lots of stuff, but please check if this is the case here

undefined symbol: drmCommandWriteRead   (/usr/lib/libI810XvMC.so)
undefined symbol: drmCommandWrite       (/usr/lib/libI810XvMC.so)
undefined symbol: drmUnlock     (/usr/lib/libI810XvMC.so)
undefined symbol: _xvmc_create_context  (/usr/lib/libI810XvMC.so)
undefined symbol: XQueryTree    (/usr/lib/libI810XvMC.so)
undefined symbol: drmOpen       (/usr/lib/libI810XvMC.so)
undefined symbol: drmGetMagic   (/usr/lib/libI810XvMC.so)
undefined symbol: drmAvailable  (/usr/lib/libI810XvMC.so)
undefined symbol: drmUnmapBufs  (/usr/lib/libI810XvMC.so)
undefined symbol: XFree (/usr/lib/libI810XvMC.so)
Comment 1 Mike A. Harris 2006-07-17 18:37:56 EDT
These files are the XvMC drivers, which are dlopen()'d by libXvMC* client
libraries.  Nothing should be dynamically linking to these files.  (But
I'm not surprised at all if some 3rd party apps do so).

Really, IMHO at least, the .so files should not even be supplied by the
OS at all.  Applications should not have hard coded hardware specific
libs linked into them...  but that's another ball of wax...

On a side note, I notice you've filed this against x86_64, but your file
paths have /usr/lib instead of /usr/lib64 in them.  I've reviewed the
spec file and we're using _libdir appropriately.  Are you testing 32bit
bits under 64bit kernel?  Just curious...

Comment 2 Karsten Hopp 2006-07-18 04:57:21 EDT
Sorry, x86_64 was a mistake. I've run those tests on i386, although I'd expect
similar results on 64bit
Comment 3 Adam Jackson 2007-05-08 14:36:28 EDT
*** Bug 237503 has been marked as a duplicate of this bug. ***
Comment 4 Adam Jackson 2007-05-08 14:36:36 EDT
*** Bug 237504 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2007-09-27 17:05:46 EDT
NOTABUG.  The XvMC drivers aren't real DSOs, they only exist to be dlopen()d by

Note You need to log in before you can comment on or make changes to this bug.